/* ////////////////////////////////////////////////////
 *	Content styles
 *  ⚠️ NOT USED
 * //////////////////////////////////////////////////// */

.is-content {

  /** Spacings
  --------------------------------------------------------- */

  // Default space between blocks
  @include owl(var(--space-md), '*', false);

  // Shorter space between some blocks
  p + p,
  p + ul, ul + p,
  p + ol, ol + p,
  .core-heading + p {
    margin-top: var(--space-sm);
  }

  // Force this in case first element has margin-top
  > *:first-child {
    margin-top: 0 !important;
  }


  /** Containers
  --------------------------------------------------------- */

  // Default container
  article.article & > *:not(.carousel):not(.block-text-media) {
    margin-left: auto;
    margin-right: auto;
    padding-left: var(--container-padding);
    padding-right: var(--container-padding);
    width: 100%;
    max-width: var(--container-max-width-md);

    // Larger container
    &.block-text-media {
      max-width: var(--container-max-width);
    }

    &.image,
    &.is-style-lead {
      max-width: var(--container-max-width-lg);
    }
  }


  /** Typography
  --------------------------------------------------------- */

  .core-heading:not(:first-child), // For WP
  h1:not(:first-child), h2:not(:first-child), h3:not(:first-child),
  h4:not(:first-child), h5:not(:first-child), h6:not(:first-child) {
    margin-top: 3em;
  }

  .core-heading > *, // For WP
  > h1, > h2, > h3, > h4, > h5, > h6 {
    margin-bottom: -0.0em; // Adjust bottom space
  }

  ul:not(.swiper-wrapper),
  ol {
    padding-left: calc(var(--container-padding) * 2) !important;
  }

}
